# Created by: Hokan
# $FreeBSD: head/sysutils/modules/Makefile 420510 2016-08-20 13:23:00Z pawel $

PORTNAME=	modules
PORTVERSION=	4.2.1
CATEGORIES=	sysutils tcl
MASTER_SITES=	https://github.com/cea-hpc/modules/releases/download/v${PORTVERSION}/

MAINTAINER=	ports@FreeBSD.org
COMMENT=	Dynamic modification of a user environment

LICENSE=	GPLv2

USES=		gmake tar:bzip2 tcl
GNU_CONFIGURE=	yes
GNU_CONFIGURE_PREFIX=${PREFIX}/Modules
CONFIGURE_ARGS=	--disable-compat-version \
		--enable-versioning

PLIST_SUB=	MODULES_VERSION=${PORTVERSION}

post-extract:
	${MV} ${WRKSRC}/doc/build/modulefile.4 ${WRKSRC}/doc/build/modulefile.5

.include <bsd.port.mk>
